<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<h1>eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks</h1>
<p>
Package containing the various security checker modules.
</p>



<h3>Modules</h3>
<table>

<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.__init__.html">Checks</a></td>
<td>Package containing the various security checker modules.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.assert.html">assert</a></td>
<td>Module implementing a check for the use of 'assert'.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.awsHardcodedPassword.html">awsHardcodedPassword</a></td>
<td>Module implementing checks for potentially hardcoded AWS passwords.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.certificateValidation.html">certificateValidation</a></td>
<td>Module implementing checks for switched off certificate validation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.djangoSqlInjection.html">djangoSqlInjection</a></td>
<td>Module implementing checks for potential SQL injections risks.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.djangoXssVulnerability.html">djangoXssVulnerability</a></td>
<td>Module implementing checks for potential XSS vulnerability.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.exec.html">exec</a></td>
<td>Module implementing a check for the use of 'exec'.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.flaskDebug.html">flaskDebug</a></td>
<td>Module implementing checks for running a flask application with enabled debug.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.generalBindAllInterfaces.html">generalBindAllInterfaces</a></td>
<td>Module implementing a check for binding to all interfaces.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.generalFilePermissions.html">generalFilePermissions</a></td>
<td>Module implementing a check for setting too permissive file permissions.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.generalHardcodedPassword.html">generalHardcodedPassword</a></td>
<td>Module implementing checks for potentially hardcoded passwords.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.generalHardcodedTmp.html">generalHardcodedTmp</a></td>
<td>Module implementing a check for insecure usage of tmp file/directory.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.injectionParamiko.html">injectionParamiko</a></td>
<td>Module implementing a check for shell injection within Paramiko.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.injectionShell.html">injectionShell</a></td>
<td>Module implementing a check for shell injection.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.injectionSql.html">injectionSql</a></td>
<td>Module implementing a check for SQL injection.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.injectionWildcard.html">injectionWildcard</a></td>
<td>Module implementing a check for use of wildcard injection.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.insecureHashlibNew.html">insecureHashlibNew</a></td>
<td>Module implementing a check for use of insecure md4, md5, or sha1 hash functions in hashlib.new().</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.insecureSslTls.html">insecureSslTls</a></td>
<td>Module implementing a check for use of SSL/TLS with insecure protocols.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.jinja2Templates.html">jinja2Templates</a></td>
<td>Module implementing a check for not auto escaping in jinja2.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.loggingConfigInsecureListen.html">loggingConfigInsecureListen</a></td>
<td>Module implementing checks for insecure use of logging.config.listen function.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.makoTemplates.html">makoTemplates</a></td>
<td>Module implementing a check for use of mako templates.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.prohibitedCalls.html">prohibitedCalls</a></td>
<td>Module implementing checks for prohibited methods and functions.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.prohibitedImports.html">prohibitedImports</a></td>
<td>Module implementing checks for prohibited imports.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.requestWithoutTimeout.html">requestWithoutTimeout</a></td>
<td>Module implementing checks for using requests without timeout.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.snmpSecurity.html">snmpSecurity</a></td>
<td>Module implementing checks for the insecure use of SNMP.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.sshNoHostKeyVerification.html">sshNoHostKeyVerification</a></td>
<td>Module implementing a check for use of mako templates.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.tarfileUnsafeMembers.html">tarfileUnsafeMembers</a></td>
<td>Module implementing checks for insecure use of 'tarfile.extracall()'.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.tryExcept.html">tryExcept</a></td>
<td>Module implementing checks for insecure except blocks.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.weakCryptographicKey.html">weakCryptographicKey</a></td>
<td>Module implementing checks for weak cryptographic key use.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.yamlLoad.html">yamlLoad</a></td>
<td>Module implementing checks for the use of yaml load functions.</td>
</tr>
</table>
</body></html>
